[esorex] 01/01: Add simple CI tests

Ole Streicher olebole at moszumanska.debian.org
Fri Apr 17 09:25:00 UTC 2015


This is an automated email from the git hooks/post-receive script.

olebole pushed a commit to branch debian
in repository esorex.

commit cb01baee009286ef683673c84c6440a06212eb26
Author: Ole Streicher <debian at liska.ath.cx>
Date:   Fri Apr 17 11:24:52 2015 +0200

    Add simple CI tests
---
 debian/changelog         |  6 ++++++
 debian/tests/control     |  2 ++
 debian/tests/esorex-test | 26 ++++++++++++++++++++++++++
 3 files changed, 34 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index ed180d9..9df71dc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+esorex (3.12-1~exp2) UNRELEASED; urgency=low
+
+  * Add simple CI tests
+
+ -- Ole Streicher <olebole at debian.org>  Fri, 17 Apr 2015 11:24:20 +0200
+
 esorex (3.12-1~exp) experimental; urgency=low
 
   * New upstream version
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..52ea9a6
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Test: esorex-test
+Depends: esorex, cpl-plugin-amber
diff --git a/debian/tests/esorex-test b/debian/tests/esorex-test
new file mode 100755
index 0000000..27a8e7d
--- /dev/null
+++ b/debian/tests/esorex-test
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+if [ -d "$ADTTMP" ] ; then
+    cd "$ADTTMP"
+fi
+
+esorex --recipes
+if [ $? != 0 ] ; then
+    echo "Recipe listing failure"
+    exit 1
+fi
+
+RECIPE=amber_SciCal
+
+esorex --man-page ${RECIPE}
+if [ $? != 0 ] ; then
+    echo "Recipe doc printing failure"
+    exit 1
+fi
+esorex --param ${RECIPE}
+if [ $? != 0 ] ; then
+    echo "Recipe parameter listing failure"
+    exit 1
+fi
+cat esorex.log
+rm -f esorex.log

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-astro/packages/esorex.git



More information about the debian-science-commits mailing list